#ifndef PAMVMC_DET_CAT_H
#define PAMVMC_DET_CAT_H

#include "PamVMCDetector.h"

#include "PamVMCCatSD.h"

class PamVMCCatSD;

class PamVMCDetCat  : public PamVMCDetector {

 private:

  Bool_t TPLAfirst;

 public:


   PamVMCDetCat():PamVMCDetector("Cat") 
  {;  };
 
  void DefineGeometry();

  void DefineCuts();

  virtual void InitMC(){

    TString t = "TOP1";
    PamVMCCatSD *mgsc = new PamVMCCatSD();
    fdetSD.Add(new TObjString(t), mgsc);
    PamVMCSDMgr::Instance()->SetSD("TOP1",mgsc);
  }

  ClassDef(PamVMCDetCat,1)
};


#endif //PAMVMC_DET_CAT_H
